PDFStructTreeRoot (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf

## Class PDFStructTreeRoot

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.StructureHierarchyMember
      - - org.apache.fop.pdf.PDFStructTreeRoot

- All Implemented Interfaces:
    Serializable, PDFWritable

      public class PDFStructTreeRoot
      extends StructureHierarchyMember
      implements Serializable

  Class representing a PDF /StructTreeRoot dictionary.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKid(PDFObject kid)` Adds the given object to the array of kids.
    `PDFArray` | `getKids()` Returns the children element of this StructTreeRoot.

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKids

          public PDFArray getKids()

      Returns the children element of this StructTreeRoot.
      Returns:
        the value of the K entry

    - #### addKid

          public void addKid(PDFObject kid)

      Adds the given object to the array of kids.
      Specified by:
        `addKid` in class `StructureHierarchyMember`
      Parameters:
        `kid` - an object to be added to the K entry

Copyright © 2025 Apache Software Foundation. All rights reserved.